Loading...
Searching...
No Matches
nucleotide.h File Reference
`#include <BALL/KERNEL/fragment.h>`
`#include <BALL/KERNEL/residue.h>`
`#include <BALL/KERNEL/nucleotideIterator.h>`

Go to the source code of this file.

## Classes

class | BALL::Nucleotide

## Namespaces

namespace | BALL

## Macros

#define | BALL_NUCLEOTIDE_DEFAULT_ID ""
#define | BALL_NUCLEOTIDE_DEFAULT_INSERTION_CODE ' '

## Functions

template<class NucleotideContainerType>
const Nucleotide * | BALL::get5Prime (const NucleotideContainerType &nucleotide_container)
template<class NucleotideContainerType>
const Nucleotide * | BALL::get3Prime (const NucleotideContainerType &nucleotide_container)

## Macro Definition Documentation

## BALL_NUCLEOTIDE_DEFAULT_ID

#define BALL_NUCLEOTIDE_DEFAULT_ID ""

Definition at line 21 of file nucleotide.h.

## BALL_NUCLEOTIDE_DEFAULT_INSERTION_CODE

#define BALL_NUCLEOTIDE_DEFAULT_INSERTION_CODE ' '

Definition at line 22 of file nucleotide.h.